Show / Hide Table of Contents

# Struct hkaSampleBlendJob.SingleAnimation

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SingleAnimation

### Fields

| Improve this Doc View Source

#### BonesOut

##### Declaration

    public hkQsTransformf*BonesOut

##### Field Value

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### Chunks

##### Declaration

    public byte *Chunks

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Flags

##### Declaration

    public hkFlags<hkaSampleBlendJob.SingleAnimation.SampleFlags, int> Flags

##### Field Value

Type | Description
--- | ---
hkFlags<hkaSampleBlendJob.SingleAnimation.SampleFlags, System.Int32> |

| Improve this Doc View Source

#### FloatsOut

##### Declaration

    public float *FloatsOut

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### FrameDelta

##### Declaration

    public float FrameDelta

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FrameIndex

##### Declaration

    public uint FrameIndex

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NumBones

##### Declaration

    public int NumBones

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NumChunks

##### Declaration

    public int NumChunks

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NumFloats

##### Declaration

    public int NumFloats

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NumPartitions

##### Declaration

    public short NumPartitions

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### PartitionArray

##### Declaration

    public hkaSkeleton.Partition*PartitionArray

##### Field Value

Type | Description
--- | ---
hkaSkeleton.Partition* |

| Improve this Doc View Source

#### Type

##### Declaration

    public hkaAnimation.AnimationType Type

##### Field Value

Type | Description
--- | ---
hkaAnimation.AnimationType |

| Improve this Doc View Source

#### Weight

##### Declaration

    public float Weight

##### Field Value

Type | Description
--- | ---
System.Single |